/**
 * The JavaScript code you place here will be processed by esbuild, and the
 * output file will be created at `../theme/js/script.min.js` and enqueued by
 * default in `../theme/functions.php`.
 *
 * For esbuild documentation, please see:
 * https://esbuild.github.io/
 */
import { gsap } from 'gsap';
import { ScrollToPlugin } from 'gsap/ScrollToPlugin.js';

gsap.registerPlugin(ScrollToPlugin);

import Swiper from 'swiper/bundle';
import { clickEvents } from './dom';
import { screen } from './screen';
import { backToTop } from './backToTop';
document.addEventListener('DOMContentLoaded', () => {
	clickEvents();
	screen();
	backToTop('.js-back-to-top');
	new Swiper('.swiper-galerie', {
		slidesPerView: 1,
		loop: true,
		navigation: {
			nextEl: '.swiper-button-next',
			prevEl: '.swiper-button-prev',
		},
	});
});
